CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Recommended modules
 * Installation
 * Configuration
 * Troubleshooting
 * FAQ
 * Maintainers

INTRODUCTION
------------

The module enables to delete specified temporary storages. The temporary
storages can be specified in the Drupal administration (if the module tsk_admin
is enabled: admin/config/development/performance/tsk).

You can also kill a specified temporary storage with the command:

    # Delete all private temporary storages of the collection email_tfa:
    drush temp-store-killer private email_tfa
    # Delete the single shared temporary storage from the collection
    # "layout_builder.section_storage.overrides" with key "my_page.11.full.en":
    drush tsk shared layout_builder.section_storage.overrides my_page.11.full.en

If the module tsk_admin is enabled, the temporary storages specified in the
configuration can be killed with the following command:

    drush temp-store-killer:all
    drush tska


More info:

 * For a full description of the module, visit
   [the project page](https://www.drupal.org/project/tsk).

 * To submit bug reports and feature suggestions, or to track changes, visit
   [the issue page](https://www.drupal.org/project/issues/tsk).

REQUIREMENTS
------------

There are no required modules.

RECOMMENDED MODULES
-------------------

There are no recommended modules.

INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module. See the
   [docs](https://www.drupal.org/documentation/install/modules-themes/modules-8)
   for further information.

CONFIGURATION
-------------

The module tsk has no configuration. The module tsk_admin brings the possibility
to configure the temporary storages, which should be killed.

You can create a configuration entity for every temporary storage (collection)
in the administration (admin/config/development/performance/tsk). There are the
following fields in the configuration entity form:

 * Private tempstore (If checked, private tempstore will be used. Otherwise will
   be used shared tempstore.)
 * Collection (e.g.: layout_builder.section_storage.overrides, or email_tfa)
 * Kill all (If checked, all stored key/value pairs from the collection will be
   deleted.)
 * Key (The key of the stored data)

If you then klick the button 'Kill all', or run the
'drush temp-store-killer:all' command, all the specified temporary storages will
be deleted.

TROUBLESHOOTING
---------------

There are not any known issues. See:

 * [Issues](https://www.drupal.org/project/issues/tsk)
 * Automated testing
 * PAReview

FAQ
---

There are no answers or issues.

MAINTAINERS
-----------

Current maintainers:

 * [Antonín Slejška](https://www.drupal.org/u/anton%C3%ADn-slej%C5%A1ka)
